Batch Update User Properties
POST https://api.fyno.io/v1/{WSID}/{version}/profiles/properties/batch
This API enables you to modify user properties of your users listed in your User Profiles in bulk:
- Update User Properties -
$set - Set Unset Properties -
$once - Increment/Decrement Numeric Properties -
$add - Append Values to List -
$append - Remove Values From List -
$remove - Unset User Properties -
$unset
Please refer to function specific API documentation for $set, $once, $add, $append, $remove, $unset before using this API.
Note: The user properties in User Profiles can be used to filter your users for creating user cohorts and campaigns.
Authorization
AuthorizationrequiredEnter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account
Path Parameters
WSIDrequiredEnter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionrequiredSpecify the version for which you would like to update the user property.
livetestBody
batchrequiredEnter an array of objects with distinct_id and action to perform on the user properties
Response
Request has been accepted and will be processed asynchronously.
request_idrequiredbatchrequired